Bug 1591984 - print dialog "advanced tab" missing in qt5/kf5 based applications
Summary: print dialog "advanced tab" missing in qt5/kf5 based applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt511
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 23:50 UTC by John Griffiths
Modified: 2019-01-11 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 15:38:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-54464 0 None None None 2018-06-15 23:50:00 UTC

Description John Griffiths 2018-06-15 23:50:00 UTC
Description of problem:
The paper size in okular, kate, kwrite, and other programs that use the print dialog defaults to A4. That's fine for many but not so good for those in the United States who would like to default to "US Letter."  The page size can be set to US Letter, but the next time, it is back to A4. 

Version-Release number of selected component (if applicable):
qt5 5.10.1

How reproducible:
always

Steps to Reproduce:
1. Open a file in okular or kate or one of the other programs that use the print dialog
2. File -> Print -> Properties
3. Observe page size is A4
4. Set to US Letter
5. Print.
6. Open Print dialog again and see that the page size has reverted to A4 under Properties.

Also observe that there is no Advanced tab anymore. 

Actual results:
Page size reverts to A4

Expected results:
Page size should "stick" to what it is set to or use the default as set in CUPS or as set by paperconfig (/etc/papersize).

Additional info:
This is an upstream issue and has been fixed in 5.11.0 Alpha and there are back ports.

Comment 1 Rex Dieter 2018-06-16 03:02:44 UTC
We'll likely bring qt 5.11.1 the fedora 28 when it's available

Comment 2 John Griffiths 2018-06-21 16:32:04 UTC
This may be related.

I had two different PDFs open in okular. I wanted to print one double sided and one single sided. I made the appropriate changes to the options. They both printed double sided.

Comment 3 Rex Dieter 2018-08-23 16:20:10 UTC
Work is underway to bring Qt-5.11 to f28 now, fruits of that labor will hopefully land in updates/updates-testing sometime over the next week or 2. 

In the meantime, I encourage you to try backported builds hosted at:
https://copr.fedorainfracloud.org/coprs/kkofler/qt5-qtbase-print-dialog-advanced/

Comment 4 Fedora Update System 2018-08-28 14:16:55 UTC
analitza-18.04.3-2.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28 calibre-3.29.0-1.fc28 deepin-qt5integration-0.2.8.3-5.fc28 deepin-tool-kit-0.3.3-8.fc28 dnscrypt-proxy-gui-1.11.15-2.fc28 dtkwidget-2.0.6.1-1.fc28.2 fcitx-qt5-1.2.3-2.fc28 gammaray-2.9.0-4.fc28 gsettings-qt-0-0.8.20170715bzr83.fc28.1 kf5-akonadi-server-18.04.3-2.fc28 kf5-frameworkintegration-5.48.0-2.fc28 kf5-kdeclarative-5.48.0-2.fc28 kf5-kwayland-5.48.0-2.fc28.1 kf5-kxmlgui-5.48.0-3.fc28 kwin-5.13.4-2.fc28 libfm-qt-0.11.2-12.fc28 libqtxdg-2.0.0-13.fc28 lxqt-qtplugin-0.11.1-12.fc28 mscore-2.2.1-4.fc28 plasma-integration-5.13.4-2.fc28 pyotherside-1.5.3-13.fc28 python-qt5-5.10.1-3.fc28 pythonqt-3.2-9.fc28 qgnomeplatform-0.4-2.fc28 qstardict-1.3-4.fc28 qt-creator-4.6.2-2.fc28 qt5-5.11.1-3.fc28 qt5-qt3d-5.11.1-2.fc28 qt5-qtbase-5.11.1-7.fc28 qt5-qtcanvas3d-5.11.1-2.fc28 qt5-qtcharts-5.11.1-4.fc28 qt5-qtconnectivity-5.11.1-2.fc28 qt5-qtdatavis3d-5.11.1-1.fc28 qt5-qtdeclarative-5.11.1-3.fc28 qt5-qtdoc-5.11.1-2.fc28 qt5-qtenginio-1.6.2-16.fc28 qt5-qtgamepad-5.11.1-3.fc28 qt5-qtgraphicaleffects-5.11.1-2.fc28 qt5-qtimageformats-5.11.1-2.fc28 qt5-qtlocation-5.11.1-3.fc28 qt5-qtmultimedia-5.11.1-2.fc28 qt5-qtquickcontrols-5.11.1-2.fc28 qt5-qtquickcontrols2-5.11.1-2.fc28 qt5-qtremoteobjects-5.11.1-3.fc28 qt5-qtscript-5.11.1-2.fc28 qt5-qtscxml-5.11.1-3.fc28 qt5-qtsensors-5.11.1-2.fc28 qt5-qtserialbus-5.11.1-3.fc28 qt5-qtserialport-5.11.1-2.fc28 qt5-qtspeech-5.11.1-2.fc28 qt5-qtstyleplugins-5.0.0-27.fc28 qt5-qtsvg-5.11.1-2.fc28 qt5-qttools-5.11.1-2.fc28 qt5-qttranslations-5.11.1-2.fc28 qt5-qtvirtualkeyboard-5.11.1-2.fc28 qt5-qtwayland-5.11.1-2.fc28 qt5-qtwebchannel-5.11.1-2.fc28 qt5-qtwebengine-5.11.1-4.fc28 qt5-qtwebkit-5.212.0-0.27.alpha2.fc28 qt5-qtwebsockets-5.11.1-2.fc28 qt5-qtwebview-5.11.1-3.fc28 qt5-qtx11extras-5.11.1-2.fc28 qt5-qtxmlpatterns-5.11.1-3.fc28 qt5ct-0.35-2.fc28 skrooge-2.14.0-1.fc28 texmaker-5.0.2-6.fc28 ugene-1.31.0-3.fc28 xdg-desktop-portal-kde-5.13.4-2.fc28 yarock-1.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 5 Fedora Update System 2018-08-29 14:09:34 UTC
analitza-18.04.3-2.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28 calibre-3.29.0-1.fc28 deepin-qt5integration-0.2.8.3-5.fc28 deepin-tool-kit-0.3.3-8.fc28 dnscrypt-proxy-gui-1.11.15-2.fc28 dtkwidget-2.0.6.1-1.fc28.2 fcitx-qt5-1.2.3-2.fc28 gammaray-2.9.0-4.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.2 kf5-akonadi-server-18.04.3-2.fc28 kf5-frameworkintegration-5.48.0-2.fc28 kf5-kdeclarative-5.48.0-2.fc28 kf5-kwayland-5.48.0-2.fc28.1 kf5-kxmlgui-5.48.0-3.fc28 kwin-5.13.4-2.fc28 libfm-qt-0.11.2-12.fc28 libqtxdg-2.0.0-13.fc28 lxqt-qtplugin-0.11.1-12.fc28 mscore-2.2.1-4.fc28 plasma-integration-5.13.4-2.fc28 pyotherside-1.5.3-13.fc28 python-qt5-5.10.1-3.fc28 pythonqt-3.2-9.fc28 qgnomeplatform-0.4-2.fc28 qstardict-1.3-4.fc28 qt-creator-4.6.2-2.fc28 qt5-5.11.1-3.fc28 qt5-qt3d-5.11.1-2.fc28 qt5-qtbase-5.11.1-7.fc28 qt5-qtcanvas3d-5.11.1-2.fc28 qt5-qtcharts-5.11.1-4.fc28 qt5-qtconnectivity-5.11.1-2.fc28 qt5-qtdatavis3d-5.11.1-1.fc28 qt5-qtdeclarative-5.11.1-3.fc28 qt5-qtdoc-5.11.1-2.fc28 qt5-qtenginio-1.6.2-16.fc28 qt5-qtgamepad-5.11.1-3.fc28 qt5-qtgraphicaleffects-5.11.1-2.fc28 qt5-qtimageformats-5.11.1-2.fc28 qt5-qtlocation-5.11.1-3.fc28 qt5-qtmultimedia-5.11.1-2.fc28 qt5-qtquickcontrols-5.11.1-2.fc28 qt5-qtquickcontrols2-5.11.1-2.fc28 qt5-qtremoteobjects-5.11.1-3.fc28 qt5-qtscript-5.11.1-2.fc28 qt5-qtscxml-5.11.1-3.fc28 qt5-qtsensors-5.11.1-2.fc28 qt5-qtserialbus-5.11.1-3.fc28 qt5-qtserialport-5.11.1-2.fc28 qt5-qtspeech-5.11.1-2.fc28 qt5-qtstyleplugins-5.0.0-27.fc28 qt5-qtsvg-5.11.1-2.fc28 qt5-qttools-5.11.1-2.fc28 qt5-qttranslations-5.11.1-2.fc28 qt5-qtvirtualkeyboard-5.11.1-2.fc28 qt5-qtwayland-5.11.1-2.fc28 qt5-qtwebchannel-5.11.1-2.fc28 qt5-qtwebengine-5.11.1-4.fc28 qt5-qtwebkit-5.212.0-0.27.alpha2.fc28 qt5-qtwebsockets-5.11.1-2.fc28 qt5-qtwebview-5.11.1-3.fc28 qt5-qtx11extras-5.11.1-2.fc28 qt5-qtxmlpatterns-5.11.1-3.fc28 qt5ct-0.35-2.fc28 skrooge-2.14.0-1.fc28 texmaker-5.0.2-6.fc28 ugene-1.31.0-3.fc28 xdg-desktop-portal-kde-5.13.4-2.fc28 yarock-1.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 6 Fedora Update System 2018-08-30 05:54:22 UTC
analitza-18.04.3-2.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28, calibre-3.29.0-1.fc28, deepin-qt5integration-0.2.8.3-5.fc28, deepin-tool-kit-0.3.3-8.fc28, dnscrypt-proxy-gui-1.11.15-2.fc28, dtkwidget-2.0.6.1-1.fc28.2, fcitx-qt5-1.2.3-2.fc28, gammaray-2.9.0-4.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.2, kf5-akonadi-server-18.04.3-2.fc28, kf5-frameworkintegration-5.48.0-2.fc28, kf5-kdeclarative-5.48.0-2.fc28, kf5-kwayland-5.48.0-2.fc28.1, kf5-kxmlgui-5.48.0-3.fc28, kwin-5.13.4-2.fc28, libfm-qt-0.11.2-12.fc28, libqtxdg-2.0.0-13.fc28, lxqt-qtplugin-0.11.1-12.fc28, mscore-2.2.1-4.fc28, plasma-integration-5.13.4-2.fc28, pyotherside-1.5.3-13.fc28, python-qt5-5.10.1-3.fc28, pythonqt-3.2-9.fc28, qgnomeplatform-0.4-2.fc28, qstardict-1.3-4.fc28, qt-creator-4.6.2-2.fc28, qt5-5.11.1-3.fc28, qt5-qt3d-5.11.1-2.fc28, qt5-qtbase-5.11.1-7.fc28, qt5-qtcanvas3d-5.11.1-2.fc28, qt5-qtcharts-5.11.1-4.fc28, qt5-qtconnectivity-5.11.1-2.fc28, qt5-qtdatavis3d-5.11.1-1.fc28, qt5-qtdeclarative-5.11.1-3.fc28, qt5-qtdoc-5.11.1-2.fc28, qt5-qtenginio-1.6.2-16.fc28, qt5-qtgamepad-5.11.1-3.fc28, qt5-qtgraphicaleffects-5.11.1-2.fc28, qt5-qtimageformats-5.11.1-2.fc28, qt5-qtlocation-5.11.1-3.fc28, qt5-qtmultimedia-5.11.1-2.fc28, qt5-qtquickcontrols-5.11.1-2.fc28, qt5-qtquickcontrols2-5.11.1-2.fc28, qt5-qtremoteobjects-5.11.1-3.fc28, qt5-qtscript-5.11.1-2.fc28, qt5-qtscxml-5.11.1-3.fc28, qt5-qtsensors-5.11.1-2.fc28, qt5-qtserialbus-5.11.1-3.fc28, qt5-qtserialport-5.11.1-2.fc28, qt5-qtspeech-5.11.1-2.fc28, qt5-qtstyleplugins-5.0.0-27.fc28, qt5-qtsvg-5.11.1-2.fc28, qt5-qttools-5.11.1-2.fc28, qt5-qttranslations-5.11.1-2.fc28, qt5-qtvirtualkeyboard-5.11.1-2.fc28, qt5-qtwayland-5.11.1-2.fc28, qt5-qtwebchannel-5.11.1-2.fc28, qt5-qtwebengine-5.11.1-4.fc28, qt5-qtwebkit-5.212.0-0.27.alpha2.fc28, qt5-qtwebsockets-5.11.1-2.fc28, qt5-qtwebview-5.11.1-3.fc28, qt5-qtx11extras-5.11.1-2.fc28, qt5-qtxmlpatterns-5.11.1-3.fc28, qt5ct-0.35-2.fc28, skrooge-2.14.0-1.fc28, texmaker-5.0.2-6.fc28, ugene-1.31.0-3.fc28, xdg-desktop-portal-kde-5.13.4-2.fc28, yarock-1.3.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 7 Fedora Update System 2018-08-30 19:56:42 UTC
analitza-18.04.3-2.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28 calibre-3.29.0-1.fc28 deepin-qt5integration-0.2.8.3-5.fc28 deepin-tool-kit-0.3.3-8.fc28 dnscrypt-proxy-gui-1.11.15-2.fc28 dtkwidget-2.0.6.1-1.fc28.2 fcitx-qt5-1.2.3-2.fc28 gammaray-2.9.0-4.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.2 kf5-akonadi-server-18.04.3-2.fc28 kf5-frameworkintegration-5.48.0-2.fc28 kf5-kdeclarative-5.48.0-2.fc28 kf5-kwayland-5.48.0-2.fc28.1 kf5-kxmlgui-5.48.0-3.fc28 kwin-5.13.4-2.fc28 libfm-qt-0.11.2-12.fc28 libqtxdg-2.0.0-13.fc28 lxqt-qtplugin-0.11.1-12.fc28 mscore-2.2.1-4.fc28 plasma-integration-5.13.4-2.fc28 pyotherside-1.5.3-13.fc28 python-qt5-5.10.1-4.fc28 pythonqt-3.2-9.fc28 qgnomeplatform-0.4-2.fc28 qstardict-1.3-4.fc28 qt-creator-4.6.2-2.fc28 qt5-5.11.1-3.fc28 qt5-qt3d-5.11.1-2.fc28 qt5-qtbase-5.11.1-7.fc28 qt5-qtcanvas3d-5.11.1-2.fc28 qt5-qtcharts-5.11.1-4.fc28 qt5-qtconnectivity-5.11.1-2.fc28 qt5-qtdatavis3d-5.11.1-1.fc28 qt5-qtdeclarative-5.11.1-3.fc28 qt5-qtdoc-5.11.1-2.fc28 qt5-qtenginio-1.6.2-16.fc28 qt5-qtgamepad-5.11.1-3.fc28 qt5-qtgraphicaleffects-5.11.1-2.fc28 qt5-qtimageformats-5.11.1-2.fc28 qt5-qtlocation-5.11.1-3.fc28 qt5-qtmultimedia-5.11.1-2.fc28 qt5-qtquickcontrols-5.11.1-2.fc28 qt5-qtquickcontrols2-5.11.1-2.fc28 qt5-qtremoteobjects-5.11.1-3.fc28 qt5-qtscript-5.11.1-2.fc28 qt5-qtscxml-5.11.1-3.fc28 qt5-qtsensors-5.11.1-2.fc28 qt5-qtserialbus-5.11.1-3.fc28 qt5-qtserialport-5.11.1-2.fc28 qt5-qtspeech-5.11.1-2.fc28 qt5-qtstyleplugins-5.0.0-27.fc28 qt5-qtsvg-5.11.1-2.fc28 qt5-qttools-5.11.1-2.fc28 qt5-qttranslations-5.11.1-2.fc28 qt5-qtvirtualkeyboard-5.11.1-2.fc28 qt5-qtwayland-5.11.1-2.fc28 qt5-qtwebchannel-5.11.1-2.fc28 qt5-qtwebengine-5.11.1-4.fc28 qt5-qtwebkit-5.212.0-0.27.alpha2.fc28 qt5-qtwebsockets-5.11.1-2.fc28 qt5-qtwebview-5.11.1-3.fc28 qt5-qtx11extras-5.11.1-2.fc28 qt5-qtxmlpatterns-5.11.1-3.fc28 qt5ct-0.35-2.fc28 skrooge-2.14.0-1.fc28 texmaker-5.0.2-6.fc28 ugene-1.31.0-3.fc28 xdg-desktop-portal-kde-5.13.4-2.fc28 yarock-1.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 8 Fedora Update System 2018-08-31 22:27:22 UTC
analitza-18.04.3-2.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28, calibre-3.29.0-1.fc28, deepin-qt5integration-0.2.8.3-5.fc28, deepin-tool-kit-0.3.3-8.fc28, dnscrypt-proxy-gui-1.11.15-2.fc28, dtkwidget-2.0.6.1-1.fc28.2, fcitx-qt5-1.2.3-2.fc28, gammaray-2.9.0-4.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.2, kf5-akonadi-server-18.04.3-2.fc28, kf5-frameworkintegration-5.48.0-2.fc28, kf5-kdeclarative-5.48.0-2.fc28, kf5-kwayland-5.48.0-2.fc28.1, kf5-kxmlgui-5.48.0-3.fc28, kwin-5.13.4-2.fc28, libfm-qt-0.11.2-12.fc28, libqtxdg-2.0.0-13.fc28, lxqt-qtplugin-0.11.1-12.fc28, mscore-2.2.1-4.fc28, plasma-integration-5.13.4-2.fc28, pyotherside-1.5.3-13.fc28, python-qt5-5.10.1-4.fc28, pythonqt-3.2-9.fc28, qgnomeplatform-0.4-2.fc28, qstardict-1.3-4.fc28, qt-creator-4.6.2-2.fc28, qt5-5.11.1-3.fc28, qt5-qt3d-5.11.1-2.fc28, qt5-qtbase-5.11.1-7.fc28, qt5-qtcanvas3d-5.11.1-2.fc28, qt5-qtcharts-5.11.1-4.fc28, qt5-qtconnectivity-5.11.1-2.fc28, qt5-qtdatavis3d-5.11.1-1.fc28, qt5-qtdeclarative-5.11.1-3.fc28, qt5-qtdoc-5.11.1-2.fc28, qt5-qtenginio-1.6.2-16.fc28, qt5-qtgamepad-5.11.1-3.fc28, qt5-qtgraphicaleffects-5.11.1-2.fc28, qt5-qtimageformats-5.11.1-2.fc28, qt5-qtlocation-5.11.1-3.fc28, qt5-qtmultimedia-5.11.1-2.fc28, qt5-qtquickcontrols-5.11.1-2.fc28, qt5-qtquickcontrols2-5.11.1-2.fc28, qt5-qtremoteobjects-5.11.1-3.fc28, qt5-qtscript-5.11.1-2.fc28, qt5-qtscxml-5.11.1-3.fc28, qt5-qtsensors-5.11.1-2.fc28, qt5-qtserialbus-5.11.1-3.fc28, qt5-qtserialport-5.11.1-2.fc28, qt5-qtspeech-5.11.1-2.fc28, qt5-qtstyleplugins-5.0.0-27.fc28, qt5-qtsvg-5.11.1-2.fc28, qt5-qttools-5.11.1-2.fc28, qt5-qttranslations-5.11.1-2.fc28, qt5-qtvirtualkeyboard-5.11.1-2.fc28, qt5-qtwayland-5.11.1-2.fc28, qt5-qtwebchannel-5.11.1-2.fc28, qt5-qtwebengine-5.11.1-4.fc28, qt5-qtwebkit-5.212.0-0.27.alpha2.fc28, qt5-qtwebsockets-5.11.1-2.fc28, qt5-qtwebview-5.11.1-3.fc28, qt5-qtx11extras-5.11.1-2.fc28, qt5-qtxmlpatterns-5.11.1-3.fc28, qt5ct-0.35-2.fc28, skrooge-2.14.0-1.fc28, texmaker-5.0.2-6.fc28, ugene-1.31.0-3.fc28, xdg-desktop-portal-kde-5.13.4-3.fc28, yarock-1.3.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 9 Fedora Update System 2018-09-04 10:39:34 UTC
analitza-18.04.3-2.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28 calibre-3.29.0-1.fc28 deepin-qt5integration-0.2.8.3-5.fc28 deepin-tool-kit-0.3.3-8.fc28 dnscrypt-proxy-gui-1.11.15-2.fc28 dtkwidget-2.0.6.1-1.fc28.2 fcitx-qt5-1.2.3-2.fc28 gammaray-2.9.0-4.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.2 kf5-akonadi-server-18.04.3-2.fc28 kf5-frameworkintegration-5.48.0-2.fc28 kf5-kdeclarative-5.48.0-2.fc28 kf5-kwayland-5.48.0-2.fc28.1 kf5-kxmlgui-5.48.0-3.fc28 kwin-5.13.4-2.fc28 libfm-qt-0.11.2-12.fc28 libqtxdg-2.0.0-13.fc28 lxqt-qtplugin-0.11.1-12.fc28 mscore-2.2.1-4.fc28 plasma-integration-5.13.4-2.fc28 pyotherside-1.5.3-13.fc28 python-qt5-5.10.1-4.fc28 pythonqt-3.2-9.fc28 qgnomeplatform-0.4-2.fc28 qstardict-1.3-4.fc28 qt-creator-4.6.2-2.fc28 qt5-5.11.1-3.fc28 qt5-qt3d-5.11.1-2.fc28 qt5-qtbase-5.11.1-7.fc28 qt5-qtcanvas3d-5.11.1-2.fc28 qt5-qtcharts-5.11.1-4.fc28 qt5-qtconnectivity-5.11.1-2.fc28 qt5-qtdatavis3d-5.11.1-1.fc28 qt5-qtdeclarative-5.11.1-3.fc28 qt5-qtdoc-5.11.1-2.fc28 qt5-qtenginio-1.6.2-16.fc28 qt5-qtgamepad-5.11.1-3.fc28 qt5-qtgraphicaleffects-5.11.1-2.fc28 qt5-qtimageformats-5.11.1-2.fc28 qt5-qtlocation-5.11.1-3.fc28 qt5-qtmultimedia-5.11.1-2.fc28 qt5-qtquickcontrols-5.11.1-2.fc28 qt5-qtquickcontrols2-5.11.1-2.fc28 qt5-qtremoteobjects-5.11.1-3.fc28 qt5-qtscript-5.11.1-2.fc28 qt5-qtscxml-5.11.1-3.fc28 qt5-qtsensors-5.11.1-2.fc28 qt5-qtserialbus-5.11.1-3.fc28 qt5-qtserialport-5.11.1-2.fc28 qt5-qtspeech-5.11.1-2.fc28 qt5-qtstyleplugins-5.0.0-27.fc28 qt5-qtsvg-5.11.1-2.fc28 qt5-qttools-5.11.1-2.fc28 qt5-qttranslations-5.11.1-2.fc28 qt5-qtvirtualkeyboard-5.11.1-2.fc28 qt5-qtwayland-5.11.1-2.fc28 qt5-qtwebchannel-5.11.1-2.fc28 qt5-qtwebengine-5.11.1-4.fc28 qt5-qtwebkit-5.212.0-0.27.alpha2.fc28 qt5-qtwebsockets-5.11.1-2.fc28 qt5-qtwebview-5.11.1-3.fc28 qt5-qtx11extras-5.11.1-2.fc28 qt5-qtxmlpatterns-5.11.1-3.fc28 qt5ct-0.35-2.fc28 skrooge-2.14.0-1.fc28 texmaker-5.0.2-6.fc28 ugene-1.31.0-3.fc28 xdg-desktop-portal-kde-5.13.4-4.fc28 yarock-1.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 10 Fedora Update System 2018-09-04 10:41:24 UTC
analitza-18.04.3-2.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28 calibre-3.29.0-1.fc28 deepin-qt5integration-0.2.8.3-5.fc28 deepin-tool-kit-0.3.3-8.fc28 dnscrypt-proxy-gui-1.11.15-2.fc28 dtkwidget-2.0.6.1-1.fc28.2 fcitx-qt5-1.2.3-2.fc28 gammaray-2.9.0-4.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.2 kf5-akonadi-server-18.04.3-2.fc28 kf5-frameworkintegration-5.48.0-2.fc28 kf5-kdeclarative-5.48.0-2.fc28 kf5-kwayland-5.48.0-2.fc28.1 kf5-kxmlgui-5.48.0-3.fc28 kwin-5.13.4-2.fc28 libfm-qt-0.11.2-12.fc28 libqtxdg-2.0.0-13.fc28 lxqt-qtplugin-0.11.1-12.fc28 mscore-2.2.1-4.fc28 plasma-integration-5.13.4-2.fc28 pyotherside-1.5.3-13.fc28 python-qt5-5.10.1-4.fc28 pythonqt-3.2-9.fc28 qgnomeplatform-0.4-2.fc28 qstardict-1.3-4.fc28 qt-creator-4.6.2-2.fc28 qt5-5.11.1-3.fc28 qt5-qt3d-5.11.1-2.fc28 qt5-qtbase-5.11.1-7.fc28 qt5-qtcanvas3d-5.11.1-2.fc28 qt5-qtcharts-5.11.1-4.fc28 qt5-qtconnectivity-5.11.1-2.fc28 qt5-qtdatavis3d-5.11.1-1.fc28 qt5-qtdeclarative-5.11.1-3.fc28 qt5-qtdoc-5.11.1-2.fc28 qt5-qtenginio-1.6.2-16.fc28 qt5-qtgamepad-5.11.1-3.fc28 qt5-qtgraphicaleffects-5.11.1-2.fc28 qt5-qtimageformats-5.11.1-2.fc28 qt5-qtlocation-5.11.1-3.fc28 qt5-qtmultimedia-5.11.1-2.fc28 qt5-qtquickcontrols-5.11.1-2.fc28 qt5-qtquickcontrols2-5.11.1-2.fc28 qt5-qtremoteobjects-5.11.1-3.fc28 qt5-qtscript-5.11.1-2.fc28 qt5-qtscxml-5.11.1-3.fc28 qt5-qtsensors-5.11.1-2.fc28 qt5-qtserialbus-5.11.1-3.fc28 qt5-qtserialport-5.11.1-2.fc28 qt5-qtspeech-5.11.1-2.fc28 qt5-qtstyleplugins-5.0.0-27.fc28 qt5-qtsvg-5.11.1-2.fc28 qt5-qttools-5.11.1-2.fc28 qt5-qttranslations-5.11.1-2.fc28 qt5-qtvirtualkeyboard-5.11.1-2.fc28 qt5-qtwayland-5.11.1-2.fc28 qt5-qtwebchannel-5.11.1-2.fc28 qt5-qtwebengine-5.11.1-4.fc28 qt5-qtwebkit-5.212.0-0.27.alpha2.fc28 qt5-qtwebsockets-5.11.1-2.fc28 qt5-qtwebview-5.11.1-3.fc28 qt5-qtx11extras-5.11.1-2.fc28 qt5-qtxmlpatterns-5.11.1-3.fc28 qt5ct-0.35-2.fc28 skrooge-2.14.0-1.fc28 texmaker-5.0.2-6.fc28 ugene-1.31.0-3.fc28 xdg-desktop-portal-kde-5.13.4-4.fc28 yarock-1.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 11 Fedora Update System 2018-09-07 00:04:55 UTC
analitza-18.04.3-2.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28, calibre-3.29.0-1.fc28, deepin-qt5integration-0.2.8.3-5.fc28, deepin-tool-kit-0.3.3-8.fc28, dnscrypt-proxy-gui-1.11.15-2.fc28, dtkwidget-2.0.6.1-1.fc28.2, fcitx-qt5-1.2.3-2.fc28, gammaray-2.9.0-4.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.2, hedgewars-0.9.24.1-3.fc28, kf5-akonadi-server-18.04.3-2.fc28, kf5-frameworkintegration-5.48.0-2.fc28, kf5-kdeclarative-5.48.0-2.fc28, kf5-kwayland-5.48.0-2.fc28.1, kf5-kxmlgui-5.48.0-3.fc28, kwin-5.13.4-2.fc28, libfm-qt-0.11.2-12.fc28, libqtxdg-2.0.0-13.fc28, lxqt-qtplugin-0.11.1-12.fc28, mscore-2.2.1-4.fc28, plasma-integration-5.13.4-2.fc28, pyotherside-1.5.3-13.fc28, python-qt5-5.10.1-4.fc28, pythonqt-3.2-9.fc28, qgnomeplatform-0.4-2.fc28, qstardict-1.3-4.fc28, qt-creator-4.6.2-2.fc28, qt5-5.11.1-3.fc28, qt5-qt3d-5.11.1-2.fc28, qt5-qtbase-5.11.1-7.fc28, qt5-qtcanvas3d-5.11.1-2.fc28, qt5-qtcharts-5.11.1-4.fc28, qt5-qtconnectivity-5.11.1-2.fc28, qt5-qtdatavis3d-5.11.1-1.fc28, qt5-qtdeclarative-5.11.1-3.fc28, qt5-qtdoc-5.11.1-2.fc28, qt5-qtenginio-1.6.2-16.fc28, qt5-qtgamepad-5.11.1-3.fc28, qt5-qtgraphicaleffects-5.11.1-2.fc28, qt5-qtimageformats-5.11.1-2.fc28, qt5-qtlocation-5.11.1-3.fc28, qt5-qtmultimedia-5.11.1-2.fc28, qt5-qtquickcontrols-5.11.1-2.fc28, qt5-qtquickcontrols2-5.11.1-2.fc28, qt5-qtremoteobjects-5.11.1-3.fc28, qt5-qtscript-5.11.1-2.fc28, qt5-qtscxml-5.11.1-3.fc28, qt5-qtsensors-5.11.1-2.fc28, qt5-qtserialbus-5.11.1-3.fc28, qt5-qtserialport-5.11.1-2.fc28, qt5-qtspeech-5.11.1-2.fc28, qt5-qtstyleplugins-5.0.0-27.fc28, qt5-qtsvg-5.11.1-2.fc28, qt5-qttools-5.11.1-2.fc28, qt5-qttranslations-5.11.1-2.fc28, qt5-qtvirtualkeyboard-5.11.1-2.fc28, qt5-qtwayland-5.11.1-2.fc28, qt5-qtwebchannel-5.11.1-2.fc28, qt5-qtwebengine-5.11.1-4.fc28, qt5-qtwebkit-5.212.0-0.27.alpha2.fc28, qt5-qtwebsockets-5.11.1-2.fc28, qt5-qtwebview-5.11.1-3.fc28, qt5-qtx11extras-5.11.1-2.fc28, qt5-qtxmlpatterns-5.11.1-3.fc28, qt5ct-0.35-2.fc28, skrooge-2.14.0-1.fc28, texmaker-5.0.2-6.fc28, ugene-1.31.0-3.fc28, xdg-desktop-portal-kde-5.13.4-4.fc28, yarock-1.3.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 12 Fedora Update System 2018-09-07 00:05:39 UTC
analitza-18.04.3-2.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28, calibre-3.29.0-1.fc28, deepin-qt5integration-0.2.8.3-5.fc28, deepin-tool-kit-0.3.3-8.fc28, dnscrypt-proxy-gui-1.11.15-2.fc28, dtkwidget-2.0.6.1-1.fc28.2, fcitx-qt5-1.2.3-2.fc28, gammaray-2.9.0-4.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.2, hedgewars-0.9.24.1-3.fc28, kf5-akonadi-server-18.04.3-2.fc28, kf5-frameworkintegration-5.48.0-2.fc28, kf5-kdeclarative-5.48.0-2.fc28, kf5-kwayland-5.48.0-2.fc28.1, kf5-kxmlgui-5.48.0-3.fc28, kwin-5.13.4-2.fc28, libfm-qt-0.11.2-12.fc28, libqtxdg-2.0.0-13.fc28, lxqt-qtplugin-0.11.1-12.fc28, mscore-2.2.1-4.fc28, plasma-integration-5.13.4-2.fc28, pyotherside-1.5.3-13.fc28, python-qt5-5.10.1-4.fc28, pythonqt-3.2-9.fc28, qgnomeplatform-0.4-2.fc28, qstardict-1.3-4.fc28, qt-creator-4.6.2-2.fc28, qt5-5.11.1-3.fc28, qt5-qt3d-5.11.1-2.fc28, qt5-qtbase-5.11.1-7.fc28, qt5-qtcanvas3d-5.11.1-2.fc28, qt5-qtcharts-5.11.1-4.fc28, qt5-qtconnectivity-5.11.1-2.fc28, qt5-qtdatavis3d-5.11.1-1.fc28, qt5-qtdeclarative-5.11.1-3.fc28, qt5-qtdoc-5.11.1-2.fc28, qt5-qtenginio-1.6.2-16.fc28, qt5-qtgamepad-5.11.1-3.fc28, qt5-qtgraphicaleffects-5.11.1-2.fc28, qt5-qtimageformats-5.11.1-2.fc28, qt5-qtlocation-5.11.1-3.fc28, qt5-qtmultimedia-5.11.1-2.fc28, qt5-qtquickcontrols-5.11.1-2.fc28, qt5-qtquickcontrols2-5.11.1-2.fc28, qt5-qtremoteobjects-5.11.1-3.fc28, qt5-qtscript-5.11.1-2.fc28, qt5-qtscxml-5.11.1-3.fc28, qt5-qtsensors-5.11.1-2.fc28, qt5-qtserialbus-5.11.1-3.fc28, qt5-qtserialport-5.11.1-2.fc28, qt5-qtspeech-5.11.1-2.fc28, qt5-qtstyleplugins-5.0.0-27.fc28, qt5-qtsvg-5.11.1-2.fc28, qt5-qttools-5.11.1-2.fc28, qt5-qttranslations-5.11.1-2.fc28, qt5-qtvirtualkeyboard-5.11.1-2.fc28, qt5-qtwayland-5.11.1-2.fc28, qt5-qtwebchannel-5.11.1-2.fc28, qt5-qtwebengine-5.11.1-4.fc28, qt5-qtwebkit-5.212.0-0.27.alpha2.fc28, qt5-qtwebsockets-5.11.1-2.fc28, qt5-qtwebview-5.11.1-3.fc28, qt5-qtx11extras-5.11.1-2.fc28, qt5-qtxmlpatterns-5.11.1-3.fc28, qt5ct-0.35-2.fc28, skrooge-2.14.0-1.fc28, texmaker-5.0.2-6.fc28, ugene-1.31.0-3.fc28, xdg-desktop-portal-kde-5.13.4-4.fc28, yarock-1.3.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465

Comment 13 Fedora Update System 2018-09-11 16:51:35 UTC
analitza-18.04.3-2.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-10.fc28, calibre-3.29.0-1.fc28, deepin-qt5integration-0.2.8.3-5.fc28, deepin-tool-kit-0.3.3-8.fc28, dnscrypt-proxy-gui-1.11.15-2.fc28, dtkwidget-2.0.6.1-1.fc28.2, fcitx-qt5-1.2.3-2.fc28, gammaray-2.9.0-4.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.2, hedgewars-0.9.24.1-3.fc28, kf5-akonadi-server-18.04.3-2.fc28, kf5-frameworkintegration-5.48.0-2.fc28, kf5-kdeclarative-5.48.0-2.fc28, kf5-kwayland-5.48.0-2.fc28.1, kf5-kxmlgui-5.48.0-3.fc28, kwin-5.13.4-2.fc28, libfm-qt-0.11.2-12.fc28, libqtxdg-2.0.0-13.fc28, lxqt-qtplugin-0.11.1-12.fc28, mscore-2.2.1-4.fc28, plasma-integration-5.13.4-2.fc28, pyotherside-1.5.3-13.fc28, python-qt5-5.10.1-4.fc28, pythonqt-3.2-9.fc28, qgnomeplatform-0.4-2.fc28, qstardict-1.3-4.fc28, qt-creator-4.6.2-2.fc28, qt5-5.11.1-3.fc28, qt5-qt3d-5.11.1-2.fc28, qt5-qtbase-5.11.1-7.fc28, qt5-qtcanvas3d-5.11.1-2.fc28, qt5-qtcharts-5.11.1-4.fc28, qt5-qtconnectivity-5.11.1-2.fc28, qt5-qtdatavis3d-5.11.1-1.fc28, qt5-qtdeclarative-5.11.1-3.fc28, qt5-qtdoc-5.11.1-2.fc28, qt5-qtenginio-1.6.2-16.fc28, qt5-qtgamepad-5.11.1-3.fc28, qt5-qtgraphicaleffects-5.11.1-2.fc28, qt5-qtimageformats-5.11.1-2.fc28, qt5-qtlocation-5.11.1-3.fc28, qt5-qtmultimedia-5.11.1-2.fc28, qt5-qtquickcontrols-5.11.1-2.fc28, qt5-qtquickcontrols2-5.11.1-2.fc28, qt5-qtremoteobjects-5.11.1-3.fc28, qt5-qtscript-5.11.1-2.fc28, qt5-qtscxml-5.11.1-3.fc28, qt5-qtsensors-5.11.1-2.fc28, qt5-qtserialbus-5.11.1-3.fc28, qt5-qtserialport-5.11.1-2.fc28, qt5-qtspeech-5.11.1-2.fc28, qt5-qtstyleplugins-5.0.0-27.fc28, qt5-qtsvg-5.11.1-2.fc28, qt5-qttools-5.11.1-2.fc28, qt5-qttranslations-5.11.1-2.fc28, qt5-qtvirtualkeyboard-5.11.1-2.fc28, qt5-qtwayland-5.11.1-2.fc28, qt5-qtwebchannel-5.11.1-2.fc28, qt5-qtwebengine-5.11.1-4.fc28, qt5-qtwebkit-5.212.0-0.27.alpha2.fc28, qt5-qtwebsockets-5.11.1-2.fc28, qt5-qtwebview-5.11.1-3.fc28, qt5-qtx11extras-5.11.1-2.fc28, qt5-qtxmlpatterns-5.11.1-3.fc28, qt5ct-0.35-2.fc28, skrooge-2.14.0-1.fc28, texmaker-5.0.2-6.fc28, ugene-1.31.0-3.fc28, xdg-desktop-portal-kde-5.13.4-4.fc28, yarock-1.3.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 John Griffiths 2018-09-28 19:31:11 UTC
Tried printing single sided. The default for the printer in cups is double sided long edge.

I was printing from Ocular. The duplex printing came up in Ocular as 'None.' When I printed, the print was duplexed with flip on the long edge. I tried setting to long edge and back to none, but that did not fix the issue.

It appears that the duplex does not read what is set for the printer and does not set the printer to the proper mode.

Comment 15 Rex Dieter 2019-01-11 15:38:20 UTC
released in stable repos


Note You need to log in before you can comment on or make changes to this bug.